Name: pybliographer
Version: 1.2.6.2
Release: alt1

Summary: A framework for working with bibliographic databases
Summary(ru_RU.KOI8-R):       

License: GPL
Group: Databases
Url: http://www.pybliographer.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/pybliographer/%name-%version.tar.bz2

BuildArch: noarch

%set_python_req_method "strict"

%add_python_req_skip Pyblio

# manually removed: eric hostinfo recode xorg-x11-libs xorg-x11-locales
# Automatically added by buildreq on Mon Nov 29 2004
BuildRequires: esound fontconfig freetype2 glib2 gnome-vfs2 python-base python-module-bibtex python-module-pygnome python-module-pygtk python-modules-encodings scrollkeeper 

# Typical environment for GNOME program
#Requires(post): GConf2
Requires(post,postun): scrollkeeper
Requires(post,postun): desktop-file-utils
#BuildPreReq: GConf2
BuildPreReq: desktop-file-utils
BuildPreReq: menu-devel

%description
Pybliographer is a tool for managing bibliographic databases. It can be
used for searching, editing, reformatting, etc. In fact, it's a simple
framework that provides easy to use python classes and functions, and
therefore can be extended to many uses (generating HTML pages according
to bibliographic searches, etc).
In addition to the scripting environment, a graphical Gnome interface
is available. It provides powerful editing capabilities, a nice
hierarchical search mechanism, direct insertion of references into LyX,
direct queries on Medline, and more. It currently supports the following
file formats: BibTeX, ISI, Medline, Ovid, Refer.

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall

# Compile .pyc and .pyo
#%__python -c "import compileall; compileall.compile_dir('$RPM_BUILD_ROOT%_datadir/pybliographer', ddir='%_datadir/pybliographer', force=1)"
#%__python -O -c "import compileall; compileall.compile_dir('$RPM_BUILD_ROOT%_datadir/pybliographer', ddir='%_datadir/pybliographer', force=1)"

%find_lang %name --with-gnome

%__rm -rf $RPM_BUILD_ROOT%_localstatedir/scrollkeeper

%post
%update_menus
%update_scrollkeeper
%update_desktopdb

%postun
%clean_menus
%clean_scrollkeeper
%clean_desktopdb

%files -f %name.lang
%doc AUTHORS COPYING* ChangeLog* NEWS README TODO
%_bindir/*
%_datadir/applications/pybliographic.desktop
%_datadir/mime-info/*
%_datadir/pixmaps/*
%_datadir/pybliographer
#%config %_datadir/pybliographer/pybrc.py

%changelog
* Mon Mar 21 2005 Vitaly Lipatov <lav@altlinux.ru> 1.2.6.2-alt1
- new version
- rebuild with python 2.4
- remove gconf using

* Sat Dec 04 2004 Vitaly Lipatov <lav@altlinux.ru> 1.2.5-alt2
- some spec's fix
- enable strict requires find

* Mon Nov 29 2004 Vitaly Lipatov <lav@altlinux.ru> 1.2.5-alt1
- first build for ALT Linux Sisyphus

* Fri Nov 26 2004 Zoltan Kota <z.kota at gmx.net> - 0:1.2.5-1.rhfdr_core_3
- initial RPM package of 1.2.5 for Fedora Core 3
